﻿Imports C1.Win.FlexReport
Imports C1.Win.FlexReport.Chart
Imports System
Imports System.Data
Imports System.Windows.Forms

Namespace FlexReport_FlexChart_Representation
    Partial Public Class Form1
        Inherits Form
        Private report As C1FlexReport
        Public Sub New()
            InitializeComponent()
            'DataTable Initialization
            Dim dataTable As DataTable = New DataTable("Product")
            Dim Name As DataColumn = New DataColumn("Name", GetType(String))
            Dim Value As DataColumn = New DataColumn("Value", GetType(Integer))

            dataTable.Columns.AddRange(New DataColumn() {Name, Value})
            dataTable.Rows.Add("Anzahi  Speditionen", 43)
            dataTable.Rows.Add("Anzahi A-Speditionen", 28)
            dataTable.Rows.Add("Anzahi B-Speditionen", 15)

            report = New C1FlexReport()
            report.Load("../../SampleReport.flxr", "Chart")
            report.DataSource.Recordset = dataTable
            GenerateChartData()
            flexViewer.DocumentSource = report
        End Sub

        Private Sub GenerateChartData()

            'Bar Chart
            Dim barChart = CType(report.Sections.Footer.Fields("Field1"), ChartField)
            Dim group = New Chart.ChartDataGroup()
            group.Name = "Name"
            group.GroupExpression = "Name"

            Dim series = New Chart.ChartDataSeries()
            Dim dataValue = New ChartDataValue()
            dataValue.ValueExpression = "Value"
            series.DataValues.Add(dataValue)

            barChart.ChartGroups2D.Group0.ChartData.CategoryGroups.Add(group)
            barChart.ChartGroups2D.Group0.ChartData.SeriesValues.Add(series)



            'Pie Chart
            Dim pieChart = CType(report.Sections.Footer.Fields("Field2"), ChartField)
            Dim group2 = New Chart.ChartDataGroup()
            group2.Name = "Name"
            group2.GroupExpression = "Name"

            Dim series2 = New Chart.ChartDataSeries()
            Dim dataValue2 = New ChartDataValue()
            dataValue2.ValueExpression = "Value"
            series2.Label = "Series Data"
            series2.DataValues.Add(dataValue2)

            pieChart.ChartGroups2D.Group0.ChartData.CategoryGroups.Add(group2)
            pieChart.ChartGroups2D.Group0.ChartData.SeriesValues.Add(series2)

        End Sub
    End Class
End Namespace
